Get class study plan

Returns the study plan for a class, including all courses and their credit values, course types (Core/Elective), and any path assignments. The study plan determines which courses are pre-populated on a student's transcript when it is created.

Path Parameters
  • class_id
    Type: string
    required

    Unique identifier of the class.

Responses
  • application/json
  • application/json
  • application/json
Request Example for get/apis/study_plans/classes/{class_id}/study_plan
curl https://school.fullfabric.cloud/apis/study_plans/classes/507f1f77bcf86cd799439011/study_plan \
  --header 'FF-Auth: YOUR_SECRET_TOKEN'
{
  "id": "664cc3fe9a52af742f49d429",
  "class_of_id": "6385bb46976a771912003e6a",
  "courses": [
    {
      "id": "664cc4229a52af742f49d529",
      "course_id": "6385baad976a7719120008cb",
      "course_code": "CORP-FIN-101",
      "course_name": "Corporate Finance",
      "course_external_id": "CF101",
      "subject_id": "6385baad976a7719120008cb",
      "subject_code": "CORP-FIN-101",
      "subject_name": "Corporate Finance",
      "subject_external_id": "CF101",
      "credits": 12,
      "hours": 36,
      "max_number_absences": 2,
      "category": "Core",
      "course_types": [
        {
          "path_id": "664cc3fe9a52af742f49d42a",
          "path_name": "Full-Time Track",
          "type": "Core",
          "type_name": "Core"
        }
      ],
      "units": [],
      "counts_towards_curricular_grade": true,
      "counts_towards_total_credits": true
    },
    {
      "id": "664cc4229a52af742f49d530",
      "course_id": "6385baad976a7719120008cc",
      "course_code": "MKTG-201",
      "course_name": "Marketing & Brand Strategy",
      "course_external_id": "MKT201",
      "subject_id": "6385baad976a7719120008cc",
      "subject_code": "MKTG-201",
      "subject_name": "Marketing & Brand Strategy",
      "subject_external_id": "MKT201",
      "credits": 8,
      "hours": 24,
      "max_number_absences": 2,
      "category": "Elective",
      "course_types": [
        {
          "path_id": "664cc3fe9a52af742f49d42a",
          "path_name": "Full-Time Track",
          "type": "Elective",
          "type_name": "Elective"
        }
      ],
      "units": [],
      "counts_towards_curricular_grade": true,
      "counts_towards_total_credits": true
    }
  ]
}